#!/usr/bin/perl
# Tool for porting ndoutils mysql database -> postgresql.

use SQL::Translator;
use SQL::Translator::Parser::MySQL;
use SQL::Translator::Producer::PostgreSQL;

my $file=glob(shift @ARGV);
if ( ! -f $file ) {
  die "Unable to open mysql script: $!\n";
}

# "Fil: $file\n";

my $translator          = SQL::Translator->new
  (
   debug               => 0,
   trace               => 0,
   no_comments         => 1,
   show_warnings       => 1,
   add_drop_table      => 1,
   validate            => 1,
#   format_table_name   => sub {my $tablename = shift; return uc($tablename)},
#   format_package_name => sub {return shift},
#   format_fk_name      => sub {return shift},
#   format_pk_name      => sub {return shift},
  );

my $output     = $translator->translate
  (
   from       => 'MySQL',
   to         => 'PostgreSQL',
   filename   => $file,
  ) or die $translator->error;

print $output;
